# Class SatispayAccountPayload

#### Hierarchy

- unknown
  - SatispayAccountPayload

- Defined in src/protobuf/pb_pb.d.ts:5175
- Defined in src/protobuf/pb_pb.d.ts:5190

#####
Index

### Constructors

constructor

### Methods

getHolderName
getMobileNr
serializeBinary
setHolderName
setMobileNr
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new SatispayAccountPayload(): SatispayAccountPayload

- #### Returns SatispayAccountPayload

  Inherited from jspb.Message.constructor

## Methods

### getHolderName

- getHolderName(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:5179

### getMobileNr

- getMobileNr(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:5176

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:5182

### setHolderName

- setHolderName(value: string): SatispayAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns SatispayAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:5180

### setMobileNr

- setMobileNr(value: string): SatispayAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns SatispayAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:5177

### toObject

- toObject(includeInstance?: boolean): SatispayAccountPayload.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns SatispayAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5183

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): SatispayAccountPayload

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SatispayAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:5186

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SatispayAccountPayload, reader: BinaryReader): SatispayAccountPayload

- #### Parameters

  - ##### message: SatispayAccountPayload

  - ##### reader: BinaryReader

  #### Returns SatispayAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:5187

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: SatispayAccountPayload, writer: BinaryWriter): void

- #### Parameters

  - ##### message: SatispayAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:5185

### `Static` toObject

- toObject(includeInstance: boolean, msg: SatispayAccountPayload): SatispayAccountPayload.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SatispayAccountPayload

  #### Returns SatispayAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5184

Generated using TypeDoc